Skip to content
GET /unified/hris/timeoff_requests/{id}

Path Parameters

idstring
required·

The ID of the resource.

Example: 23423523

Query Parameters

Refer Specifying query parameters in Truto APIs

employeeobject

This represents the employee requesting time off.

References: Employees → id
6 supported1 required
HiBob
required
AlexisHR
supported
Charlie
supported
Factorial
supported
Officient
supported
Personio
supported
idstring
required·

The unique identifier for employees

namestring

This represents the name of the employee.

Show Truto-specific parameters
integrated_account_idstring · uuid
required·

The ID of the integrated account to use for the request.

Example: 62f44730-dd91-461e-bd6a-aedd9e0ad79d
truto_response_formatstring

The format of the response.

  • unified returns the response with unified mappings applied.
  • raw returns the unprocessed, raw response from the remote API.
  • normalized applies the unified mappings and returns the data in a normalized format.
  • stream returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.

Defaults to unified.

Example: unified
Possible values:
unifiedrawnormalizedstream
truto_ignore_remote_databoolean

Excludes the remote_data attribute from the response.

truto_exclude_fieldsstring[]

Array of fields to exclude from the response.

Example: truto_exclude_fields[]=id&truto_exclude_fields[]=name
remote_queryRecord<string, any>

Query parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.

Example: remote_query[foo]=bar

Response Body

idstring
required·

The unique identifier for timeoffpolicies

6 supported
AlexisHR
supported
Charlie
supported
Factorial
supported
HiBob
supported
Officient
supported
Personio
supported
amountnumber

This represents the amount of the time off request.

4 supported
Charlie
supported
HiBob
supported
Officient
supported
Personio
supported
approverstring

This represents the approver of the time off request.

1 supported
Charlie
supported
created_atstring · date-time

This represents the date when the timeoffpolicies was created

3 supported
AlexisHR
supported
Factorial
supported
Personio
supported
descriptionstring

This represents the description of the time off request.

4 supported
AlexisHR
supported
Charlie
supported
Factorial
supported
Personio
supported
employeeobject

This represents the employee requesting time off.

References: Employees → id
6 supported
AlexisHR
supported
Charlie
supported
Factorial
supported
HiBob
supported
Officient
supported
Personio
supported
idstring
required·

The unique identifier for employees

namestring

This represents the name of the employee.

employee_notestring

This represents the employee note for the time off request.

end_timestring · date-time

This represents the end time of the time off request.

5 supported
AlexisHR
supported
Charlie
supported
Factorial
supported
HiBob
supported
Personio
supported
reasonobject

This represents the reason of the time off request.

idstring
required·

The unique identifier for timeoff_reason

namestring

This represents the name of the timeoff_reason.

remote_dataRecord<string, any>

Raw data returned from the remote API call.

request_policy_typestring

This represents the request type of the time off request.

3 supported
Charlie
supported
HiBob
supported
Officient
supported
sessionstring

This represents the session of the time off request.

Possible values:
fullmorningafternoon
2 supported
Factorial
supported
Personio
supported
start_timestring · date-time

This represents the start time of the time off request.

6 supported
AlexisHR
supported
Charlie
supported
Factorial
supported
HiBob
supported
Officient
supported
Personio
supported
statusstring

This represents the status of the time off request.

6 supported
AlexisHR
supported
Charlie
supported
Factorial
supported
HiBob
supported
Officient
supported
Personio
supported
timeoff_typestring

This represents the time off type of the time off request.

4 supported
AlexisHR
supported
Charlie
supported
Factorial
supported
Personio
supported
unitsstring

This represents the units of the time off request.

Possible values:
hoursdaysweeksmonths
4 supported
AlexisHR
supported
Charlie
supported
HiBob
supported
Personio
supported
updated_atstring · date-time

This represents the date when the timeoffpolicies was updated

3 supported
AlexisHR
supported
Factorial
supported
Personio
supported
curl -X GET 'https://api.truto.one/unified/hris/timeoff_requests/{id}?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
const integratedAccountId = '<integrated_account_id>';

const response = await fetch(`https://api.truto.one/unified/hris/timeoff_requests/{id}?integrated_account_id=${integratedAccountId}`, {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/unified/hris/timeoff_requests/{id}"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}

response = requests.get(url, headers=headers, params=params)
print(response.json())
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.get(
  'hris',
  'timeoffrequests',
  '<resource_id>',
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    result = await truto_api.unified_api.get(
        "hris",
        "timeoffrequests",
        "<resource_id>",
        {"integrated_account_id": "<integrated_account_id>"}
    )
    print(result)

asyncio.run(main())